Fetch fungibles
curl --request GET \
--url https://api.neynar.com/v2/farcaster/fungibles/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/fungibles/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/fungibles/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fungibles": [
{
"cast_count": 123,
"fungible": {
"address": "<string>",
"decimals": 123,
"logo": "<string>",
"name": "<string>",
"network": "ethereum",
"object": "fungible",
"symbol": "<string>",
"total_supply": "<string>"
},
"object": "farcaster_fungible"
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Onchain
Fetch fungibles
Fetch details for fungible assets identified by fungible identifiers.
GET
/
v2
/
farcaster
/
fungibles
/
Fetch fungibles
Node.js SDK
🔗 SDK Method: fetchFungibles Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Headers
Query Parameters
Comma-separated fungible identifiers
Example:
"eip155:8453/erc20:0x833589fcd6edb6e08f4c7c32d4f71b54bda02913,eip155:8453/erc20:0x2f6c17fa9f9bc3600346ab4e48c0701e1d5962ae"
Optional FID of the viewer to personalize cast count filtering
Response
Success
Response containing fungible details
Show child attributes
Show child attributes
Related topics
fetchFungiblesfetchFungibleTradesGet fungible tradesfetchTrendingFungiblesfetchRelevantFungibleOwnersWas this page helpful?